WAKE_Policy< B > Class Template Reference

WAKE stream cipher operation. More...

`#include <wake.h>`

Inheritance diagram for WAKE_Policy< B >:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 1, 64 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 1, 64 >
unsigned int | GetAlignment () const
| Provides data alignment requirements.
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration.
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations.
bool | CanOperateKeystream () const
| Flag indicating.
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual unsigned int | GetOptimalBlockSize () const
| Provides number of ideal bytes to process.
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream.
virtual void | CipherResynchronize (byte *keystreamBuffer, const byte *iv, size_t length)
| Resynchronize the cipher.
virtual void | SeekToIteration (lword iterationCount)
| Seeks to a random position in the stream.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 1, 64 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration.

## Detailed Description

template<class B = BigEndian>
class WAKE_Policy< B >

WAKE stream cipher operation.

Template Parameters

  B | Endianness of the stream cipher

Since
  Crypto++ 1.0

Definition at line 38 of file wake.h.

The documentation for this class was generated from the following files:

- wake.h
- wake.cpp